Update Extension Application Content
post
/content/sim/v2/setup/updateExtensionApplicationContent
Updates Extension Application Content. Uploaded content is supplied as multipart file content outside the metadata body and must be less than 10 MB. The zoneableKey and extensionAppId values are retained from the existing record and cannot be modified.
Request
Supported Media Types
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Extension Application Content update metadata request body.
Root Schema : schema
Type:
Show Source
object-
contentTypeId(required):
integer
Content type identifier.
SimScript and Package uploads generate signatures.Value Description 1 LooseXaml 3 DLL 6 ResourceDictionary 7 PythonScript 8 Image_BMP 9 Image_JPG 10 Image_TIFF 11 Image_GIF 12 Image_PNG 13 Icon 14 Resource_Generic 15 Resource_Style 16 Resource_Brush 17 Resource_Font 19 SimScript 21 CSS 22 Javascript 23 Text 24 Binary 27 Package Example:19 -
description:
object description
A group of string objects representing the description in configured languages. Can be null or empty.
-
extensionAppContentId(required):
integer
Unique reference of the Extension Application Content.Example:
501 -
fileNameOrigin:
string
Original file path or source name.Example:
C:\Program Files\Oracle Hospitality\Extension\loyalty.pkg -
hierUnitId(required):
integer
Unique hierarchy unit value.Example:
3599 -
hostType:
integer
Host type. Valid range is 1 to 3.Example:
1 -
maxCompatibilityVersion:
string
Maximum compatibility version. Must be a number or dot-separated numbers.Example:
24.1 -
minCompatibilityVersion:
string
Minimum compatibility version. Must be a number or dot-separated numbers. When maxCompatibilityVersion is also provided, minCompatibilityVersion cannot be greater.Example:
23.9 -
optionbits:
string
Default Value:
0000000000000000000000000000000000000000000000000000000000000000Bit string of length 64 representing the Extension Application Content options.Example:0000000000000000000000000000000000000000000000000000000000000000 -
packageComments:
string
Optional Package comments stored in generated package configuration.Example:
Loyalty package import -
packagePasskey:
string
Optional passkey used to unlock password-protected Package uploads.Example:
package-passkey -
target:
string
Default Value:
11111111111111111111111111111111Bit string of length 32 representing the Extension Application Content targets.Example:11111111111111111111111111111111
Nested Schema : description
Type:
objectA group of string objects representing the description in configured languages. Can be null or empty.
Example:
{
"1":"Loyalty package",
"2":"Loyalty package"
}Response
Supported Media Types
- application/json
200 Response
Extension Application Content updated.
Root Schema : schema
Type:
Show Source
object-
extensionAppContentId:
integer
Unique reference of the Extension Application Content.Example:
501 -
hierUnitId:
integer
Unique hierarchy unit value.Example:
3599